<div id="cover-scroll" class="container1 darken-pseudo scrollbar cover-background">

  <div class="loginBox">
    <form [formGroup]="signUpForm" (ngSubmit)="onSignUp()">
      <a [routerLink]="'/cover'">
        <img src="../../../assets/images/Main_Logo.png" style="width: 90%; padding-bottom:5%;padding-top: 40%">
      </a>
      <p style="position: relative;margin-top:20px;margin-bottom:0%; padding-left: 6px; ">Email Address</p>
      <div class="textbox">
        <input formControlName="email_address" type="text" placeholder="Email Address" name="" value=""
          style="padding-left: 5px">

      </div>

      <p style="position: relative;margin-top:20px;margin-bottom:0%; padding-left: 6px; ">Username</p>
      <div class="textbox">
        <input type="text" formControlName="username" placeholder="Username" name="" value="" style="padding-left: 5px">

      </div>

      <p style="margin-bottom:0%; margin-top:20px;padding-left: 6px;">Password</p>
      <div class="textbox">
        <input type="password" formControlName="password" placeholder="Password" name="" value=""
          style="padding-left: 5px">
      </div>

      <p style="margin-bottom:0%; margin-top:20px;padding-left: 6px;">Re-Type Password</p>
      <div class="textbox">
        <input type="password" formControlName="reEnterPw" placeholder="Re-Type Password" name="" value=""
          style="padding-left: 5px">
      </div>

      <button style="width: 100%" class="signUpBtn btn btn-primary" type="button submit" value="Sign up">
        Submit
      </button>

    </form>

    <div style="text-align: center;margin-top:10px">
      <span style="color: white">Already Have An Account? </span>
      <a [routerLink]="'/authentication/login'">
        <span>Click here</span>
      </a>

    </div>
    <div style="text-align: center;margin-top:20px">
      <div *ngIf="emailEmpty">
        <p style="color: white"> Please fill in your email!</p>
      </div>
    </div>
    <div style="text-align: center;margin-top:20px">
      <div *ngIf="usernameEmpty">
        <p style="color: white"> Please fill in your username!</p>
      </div>
    </div>
    <div style="text-align: center;margin-top:20px">
      <div *ngIf="pwShortChar">
        <p style="color: white"> Your password has to be at least 8 characters!</p>
      </div>
    </div>
    <div style="text-align: center;margin-top:20px">
        <div *ngIf="passwordEmpty">
          <p style="color: white"> Please fill in password!</p>
        </div>
      </div>
    <div style="text-align: center;margin-top:20px">
      <div *ngIf="reEnterPwEmpty">
        <p style="color: white"> Please fill in your re-enter password!</p>
      </div>
    </div>
    <div style="text-align: center;margin-top:20px">
      <div *ngIf="pwNotMatching">
        <p style="color: white"> Your passwords do not match!</p>
      </div>
    </div>


  </div>
</div>